package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

/**
 * 对应数据库表(music_group_payment_student_course_detail):
 */
public class MusicGroupPaymentStudentCourseDetail {

	/**  */
	private Long id;
	
	/**  */
	private Long musicGroupPaymentCalenderId;
	
	/**  */
	private Long musicGroupPaymentCalenderDetailId;
	
	/**  */
	private Integer userId;
	
	/**  */
	private CourseScheduleType courseType;
	
	/**  */
	private Integer totalCourseMinutes;
	
	/**  */
	private Integer usedCourseMinutes;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId){
		this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
	}
	
	public Long getMusicGroupPaymentCalenderId(){
		return this.musicGroupPaymentCalenderId;
	}
			
	public void setMusicGroupPaymentCalenderDetailId(Long musicGroupPaymentCalenderDetailId){
		this.musicGroupPaymentCalenderDetailId = musicGroupPaymentCalenderDetailId;
	}
	
	public Long getMusicGroupPaymentCalenderDetailId(){
		return this.musicGroupPaymentCalenderDetailId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCourseType(CourseScheduleType courseType){
		this.courseType = courseType;
	}
	
	public CourseScheduleType getCourseType(){
		return this.courseType;
	}
			
	public void setTotalCourseMinutes(Integer totalCourseMinutes){
		this.totalCourseMinutes = totalCourseMinutes;
	}
	
	public Integer getTotalCourseMinutes(){
		return this.totalCourseMinutes;
	}
			
	public void setUsedCourseMinutes(Integer usedCourseMinutes){
		this.usedCourseMinutes = usedCourseMinutes;
	}
	
	public Integer getUsedCourseMinutes(){
		return this.usedCourseMinutes;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
